C3P0JavaBeanObjectFactory (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class C3P0JavaBeanObjectFactory

- java.lang.Object
- - com.mchange.v2.naming.JavaBeanObjectFactory
  - - com.mchange.v2.c3p0.impl.C3P0JavaBeanObjectFactory

- All Implemented Interfaces:
    javax.naming.spi.ObjectFactory

      public class C3P0JavaBeanObjectFactory
      extends com.mchange.v2.naming.JavaBeanObjectFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0JavaBeanObjectFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `createBlankInstance(java.lang.Class beanClass)`
    `protected java.lang.Object` | `findBean(java.lang.Class beanClass, java.util.Map propertyMap, java.util.Set refProps)`

    - ### Methods inherited from class com.mchange.v2.naming.JavaBeanObjectFactory

      `getObjectInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0JavaBeanObjectFactory

          public C3P0JavaBeanObjectFactory()

  - ### Method Detail

    - #### createBlankInstance

          protected java.lang.Object createBlankInstance(java.lang.Class beanClass)
                                                  throws java.lang.Exception

      Overrides:
        `createBlankInstance` in class `com.mchange.v2.naming.JavaBeanObjectFactory`
      Throws:
        `java.lang.Exception`

    - #### findBean

          protected java.lang.Object findBean(java.lang.Class beanClass,
                                              java.util.Map propertyMap,
                                              java.util.Set refProps)
                                       throws java.lang.Exception

      Overrides:
        `findBean` in class `com.mchange.v2.naming.JavaBeanObjectFactory`
      Throws:
        `java.lang.Exception`